Skip to main content
GET
/
v1
/
wallet
/
balance
get wallet balance
curl --request GET \
  --url https://api.unprice.dev/v1/wallet/balance \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.unprice.dev/v1/wallet/balance"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.unprice.dev/v1/wallet/balance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "available": {
    "ledger_amount": 1,
    "amount": "<string>",
    "display_amount": "<string>"
  },
  "held": {
    "ledger_amount": 1,
    "amount": "<string>",
    "display_amount": "<string>"
  },
  "credits": [
    {
      "id": "<string>",
      "issued": {
        "ledger_amount": 1,
        "amount": "<string>",
        "display_amount": "<string>"
      },
      "available": {
        "ledger_amount": 1,
        "amount": "<string>",
        "display_amount": "<string>"
      },
      "expires_at": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z"
    }
  ]
}
{
"error": {
"code": "BAD_REQUEST",
"docs": "https://docs.unprice.dev/api-reference/errors/code/BAD_REQUEST",
"message": "<string>",
"requestId": "req_1234"
}
}
{
"error": {
"code": "UNAUTHORIZED",
"docs": "https://docs.unprice.dev/api-reference/errors/code/UNAUTHORIZED",
"message": "<string>",
"requestId": "req_1234"
}
}
{
"error": {
"code": "FORBIDDEN",
"docs": "https://docs.unprice.dev/api-reference/errors/code/FORBIDDEN",
"message": "<string>",
"requestId": "req_1234"
}
}
{
"error": {
"code": "NOT_FOUND",
"docs": "https://docs.unprice.dev/api-reference/errors/code/NOT_FOUND",
"message": "<string>",
"requestId": "req_1234"
}
}
{
"error": {
"code": "CONFLICT",
"docs": "https://docs.unprice.dev/api-reference/errors/code/CONFLICT",
"message": "<string>",
"requestId": "req_1234"
}
}
{
"error": {
"code": "PRECONDITION_FAILED",
"docs": "https://docs.unprice.dev/api-reference/errors/code/PRECONDITION_FAILED",
"message": "<string>",
"requestId": "req_1234"
}
}
{
"error": {
"code": "TOO_MANY_REQUESTS",
"docs": "https://docs.unprice.dev/api-reference/errors/code/TOO_MANY_REQUESTS",
"message": "<string>",
"requestId": "req_1234"
}
}
{
"error": {
"code": "INTERNAL_SERVER_ERROR",
"docs": "https://docs.unprice.dev/api-reference/errors/code/INTERNAL_SERVER_ERROR",
"message": "<string>",
"requestId": "req_1234"
}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

customerId
string
required

The customer ID

Example:

"cus_1H7KQFLr7RepUyQBKdnvY"

projectId
string

The project ID

Example:

"prj_1H7KQFLr7RepUyQBKdnvY"

Response

The wallet balance for a customer

currency
enum<string>
required
Available options:
USD,
EUR
available
object
required
held
object
required
credits
object[]
required